/*
 * GUI front-end misc header
 *
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifndef __GDIFF_GUIMISC_H__
#define __GDIFF_GUIMISC_H__


#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

/*
 * Constant number
 */
typedef enum {
	QD_YES = 0,
	QD_NO = 1,
	QD_CANCEL = 2
} QDialogReply;

	
/* Global function declarations */
extern QDialogReply ask_yes_no(const char *msg);
extern char* make_statusbar_msg(const char *fname1, const char *fname2, int f1n1, int f1n2, int f2n1, int f2n2);

#ifdef __cplusplus
} 
#endif /* __cplusplus */
 
#endif /* __GDIFF_GUIMISC_H__ */
